'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _BaseForm = require('uniforms/BaseForm');

var _BaseForm2 = _interopRequireDefault(_BaseForm);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Semantic = function Semantic(parent) {
    var _class, _temp;

    return _temp = _class = function (_parent) {
        (0, _inherits3.default)(_class, _parent);

        function _class() {
            (0, _classCallCheck3.default)(this, _class);
            return (0, _possibleConstructorReturn3.default)(this, (_class.__proto__ || Object.getPrototypeOf(_class)).apply(this, arguments));
        }

        (0, _createClass3.default)(_class, [{
            key: 'getNativeFormProps',
            value: function getNativeFormProps() {
                var _props = this.props,
                    autosave = _props.autosave,
                    autosaveDelay = _props.autosaveDelay,
                    disabled = _props.disabled,
                    label = _props.label,
                    model = _props.model,
                    modelTransform = _props.modelTransform,
                    onChange = _props.onChange,
                    onSubmit = _props.onSubmit,
                    onSubmitFailure = _props.onSubmitFailure,
                    onSubmitSuccess = _props.onSubmitSuccess,
                    placeholder = _props.placeholder,
                    schema = _props.schema,
                    showInlineError = _props.showInlineError,
                    props = (0, _objectWithoutProperties3.default)(_props, ['autosave', 'autosaveDelay', 'disabled', 'label', 'model', 'modelTransform', 'onChange', 'onSubmit', 'onSubmitFailure', 'onSubmitSuccess', 'placeholder', 'schema', 'showInlineError']);


                var error = !!this.getChildContextError();

                return (0, _extends3.default)({}, props, {
                    error: error,
                    onSubmit: this.onSubmit,
                    key: 'reset-' + this.state.resetCount
                });
            }
        }, {
            key: 'render',
            value: function render() {
                var error = this.props.error;

                return _react2.default.createElement(_semanticUiReact.Form, (0, _extends3.default)({ error: !!error }, this.getNativeFormProps()));
            }
        }]);
        return _class;
    }(parent), _class.Semantic = Semantic, _class.displayName = 'ReactSemantic' + parent.displayName, _temp;
};

exports.default = Semantic(_BaseForm2.default);