'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _jsx2 = require('babel-runtime/helpers/jsx');

var _jsx3 = _interopRequireDefault(_jsx2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectField = require('uniforms/connectField');

var _connectField2 = _interopRequireDefault(_connectField);

var _semanticUiReact = require('semantic-ui-react');

var _filterSemanticProps = require('./filterSemanticProps');

var _filterSemanticProps2 = _interopRequireDefault(_filterSemanticProps);

var _Wrapper = require('./Wrapper');

var _Wrapper2 = _interopRequireDefault(_Wrapper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LongText = function LongText(_ref) {
    var as = _ref.as,
        autoHeight = _ref.autoHeight,
        _onChange = _ref.onChange,
        rows = _ref.rows,
        style = _ref.style,
        value = _ref.value,
        label = _ref.label,
        error = _ref.error,
        errorMessage = _ref.errorMessage,
        showInlineError = _ref.showInlineError,
        props = (0, _objectWithoutProperties3.default)(_ref, ['as', 'autoHeight', 'onChange', 'rows', 'style', 'value', 'label', 'error', 'errorMessage', 'showInlineError']);
    return (0, _jsx3.default)(_Wrapper2.default, {
        showInlineError: showInlineError,
        errorMessage: errorMessage,
        error: error,
        label: label
    }, void 0, _react2.default.createElement(_semanticUiReact.TextArea, (0, _extends3.default)({}, (0, _filterSemanticProps2.default)(props), {

        as: as,
        autoHeight: autoHeight,
        rows: rows,
        style: style,
        value: value || '',
        onChange: function onChange(event, _ref2) {
            var _ref2$value = _ref2.value,
                value = _ref2$value === undefined ? '' : _ref2$value;

            _onChange(value);
        }

    })));
};

LongText.propTypes = process.env.NODE_ENV !== "production" ? (0, _extends3.default)({
    errorMessage: _propTypes2.default.string,
    showInlineError: _propTypes2.default.bool,
    errorLabel: _propTypes2.default.element
}, _semanticUiReact.TextArea.propTypes, {
    error: _propTypes2.default.object

}) : {};

exports.default = (0, _connectField2.default)(LongText, {
    includeInChain: false,
    ensureValue: true,
    initialValue: true
});