'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
/**
 * Created by cesar on 13/9/17.
 */
//import filterDOMProps      from 'uniforms/filterDOMProps'

var staticUnwantedProps = ['mapServerError', 'regEx', 'allowedValues', 'changed', 'label', 'changedMap', 'errorMessage', 'field', 'fieldType', 'fields', 'findError', 'findField', 'findValue', 'initialCount', 'parent', 'fieldType', 'showInlineError', 'component'];

var filterSemanticProps = function filterSemanticProps() {
    var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var unwantedProps = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : staticUnwantedProps;

    var filteredProps = {};
    for (var prop in props) {
        if (unwantedProps.indexOf(prop) === -1) {
            filteredProps[prop] = props[prop];
        }
    }

    return filteredProps; //filterDOMProps(filteredProps);
};

filterSemanticProps.unwantedProps = staticUnwantedProps;

exports.default = filterSemanticProps;