'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _jsx2 = require('babel-runtime/helpers/jsx');

var _jsx3 = _interopRequireDefault(_jsx2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _connectField = require('uniforms/connectField');

var _connectField2 = _interopRequireDefault(_connectField);

var _semanticUiReact = require('semantic-ui-react');

var _Wrapper = require('./Wrapper');

var _Wrapper2 = _interopRequireDefault(_Wrapper);

var _filterSemanticProps = require('./filterSemanticProps');

var _filterSemanticProps2 = _interopRequireDefault(_filterSemanticProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Text = function Text(_ref) {
    var action = _ref.action,
        actionPosition = _ref.actionPosition,
        as = _ref.as,
        children = _ref.children,
        className = _ref.className,
        disabled = _ref.disabled,
        error = _ref.error,
        fluid = _ref.fluid,
        focus = _ref.focus,
        icon = _ref.icon,
        iconPosition = _ref.iconPosition,
        input = _ref.input,
        inverted = _ref.inverted,
        label = _ref.label,
        labelPosition = _ref.labelPosition,
        loading = _ref.loading,
        _onChange = _ref.onChange,
        size = _ref.size,
        tabIndex = _ref.tabIndex,
        transparent = _ref.transparent,
        type = _ref.type,
        errorMessage = _ref.errorMessage,
        showInlineError = _ref.showInlineError,
        props = (0, _objectWithoutProperties3.default)(_ref, ['action', 'actionPosition', 'as', 'children', 'className', 'disabled', 'error', 'fluid', 'focus', 'icon', 'iconPosition', 'input', 'inverted', 'label', 'labelPosition', 'loading', 'onChange', 'size', 'tabIndex', 'transparent', 'type', 'errorMessage', 'showInlineError']);
    return (0, _jsx3.default)(_Wrapper2.default, {
        showInlineError: showInlineError,
        errorMessage: errorMessage,
        error: !!error,
        label: label
    }, void 0, _react2.default.createElement(_semanticUiReact.Input, (0, _extends3.default)({}, (0, _filterSemanticProps2.default)(props), {

        action: action,
        actionPosition: actionPosition,
        as: as,
        children: children,
        className: className,
        disabled: disabled,
        error: !!error,
        fluid: fluid,
        focus: focus,
        icon: icon,
        iconPosition: iconPosition,
        input: input,
        inverted: inverted,
        label: label,
        labelPosition: labelPosition,
        loading: loading,
        size: size,
        tabIndex: tabIndex,
        transparent: transparent,
        type: type,
        onChange: function onChange(event, _ref2) {
            var _ref2$value = _ref2.value,
                value = _ref2$value === undefined ? '' : _ref2$value;

            _onChange(value);
        }

    })));
};

Text.propTypes = process.env.NODE_ENV !== "production" ? (0, _extends3.default)({
    errorMessage: _propTypes2.default.string,
    showInlineError: _propTypes2.default.bool,
    errorLabel: _propTypes2.default.element
}, _semanticUiReact.Input.propTypes, {
    error: _propTypes2.default.object

}) : {};

exports.default = (0, _connectField2.default)(Text, {
    includeInChain: false,
    ensureValue: true,
    initialValue: true
});